Pass Templates
Update Pass Template
Supports partial updates.
Response may either be a 200 or 202 status code. Use the URL returned in the response to check the status of the pass template.
PATCH
/
api
/
v1
/
pass-templates
/
{id}
Update Pass Template
curl --request PATCH \
--url https://api.passentry.com/api/v1/pass-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"passTemplate": {
"name": "PassEntry Coffee Shop",
"colors": {
"background": "#EEEEEE"
},
"images": {
"watermark": {
"color": "dark",
"position": "topLeft"
}
},
"appLinking": {
"apple": {
"appStoreUrl": []
}
},
"beacons": []
}
}
'import requests
url = "https://api.passentry.com/api/v1/pass-templates/{id}"
payload = { "passTemplate": {
"name": "PassEntry Coffee Shop",
"colors": { "background": "#EEEEEE" },
"images": { "watermark": {
"color": "dark",
"position": "topLeft"
} },
"appLinking": { "apple": { "appStoreUrl": [] } },
"beacons": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
passTemplate: {
name: 'PassEntry Coffee Shop',
colors: {background: '#EEEEEE'},
images: {watermark: {color: 'dark', position: 'topLeft'}},
appLinking: {apple: {appStoreUrl: []}},
beacons: []
}
})
};
fetch('https://api.passentry.com/api/v1/pass-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "19cb334f9696e64e10e7759f0",
"type": "passTemplate",
"attributes": {
"name": "PassEntry Supermarket",
"templateType": "generic",
"defaultLanguage": "en",
"centralTitle": "PassEntry Supermarket",
"notificationHeader": "PassEntry Supermarket",
"colors": {
"background": "#EFEFEF",
"label": "#FF8477",
"text": "#29323A"
},
"images": {
"banner": "https://example.com/banner.png",
"logo": "https://example.com/logo.png",
"icon": "https://example.com/icon.png",
"watermark": {
"color": "light",
"position": "topLeft"
}
},
"fields": {
"header": {
"one": {
"id": "membership_tier",
"label": "Membership Tier",
"defaultValue": "Gold"
}
},
"central": {
"one": {
"id": "membership_tier",
"label": "Membership Tier",
"defaultValue": "Gold"
}
},
"details": {
"one": {
"id": "membership_tier",
"label": "Membership Tier",
"defaultValue": "Gold"
}
},
"back": {
"one": {
"id": "membership_tier",
"label": "Membership Tier",
"defaultValue": "Gold"
}
}
}
}
}
}{
"id": "19cb334f9696e64e10e7759f0",
"type": "passTemplate",
"attributes": {
"name": "PassEntry Supermarket"
},
"meta": {
"message": "Your pass template is being processed, please check again in a few moments.",
"links": {
"self": "https://api.passentry.com/v1/pass-templates/19cb334f9696e64e10e7759f0"
}
}
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pass Template UUID
Body
application/json
Pass Template object
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Pass Template
